Subject: Re: hand washing ?
From: "Rhonda R. Ames" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Tue, 21 Apr 2009 08:57:34 -0400

My apologies for not getting that to you.  I had to go out of town unexpectedly last week, and was in court most all day yesterday.  I will try to get that wrapped up.

Rhonda
  ----- Original Message ----- 
  From: Mike 
  To: Rhonda Ames 
  Sent: Monday, April 20, 2009 4:30 PM
  Subject: hand washing ?

  Rhonda,
  How are you coming with the hand washing page?  I had you still checking on 6 states (AK, AR, IL, KY, ME, VT).  Let me know.
  Thank you,
  Michael Bishop
  Labor Law Poster Service
  Phone 877-321-4144
  Fax 888-442-4144
  [email-masked]